org.apache.ivy.core.settings

## Class XmlSettingsParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.ivy.core.settings.XmlSettingsParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class XmlSettingsParser
    extends org.xml.sax.helpers.DefaultHandler

### Constructor Summary

Constructors
Constructor and Description
`XmlSettingsParser(IvySettings ivy)`

### Method Summary

Methods
`void` `endDocument()`
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` `parse(java.net.URL settings)`
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes att)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlSettingsParser

    public XmlSettingsParser(IvySettings ivy)

### Method Detail

#### parse

    public void parse(java.net.URL settings)
               throws java.text.ParseException,
                      java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

#### startElement

    public void startElement(java.lang.String uri,
                    java.lang.String localName,
                    java.lang.String qName,
                    org.xml.sax.Attributes att)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### endElement

    public void endElement(java.lang.String uri,
                  java.lang.String localName,
                  java.lang.String qName)
                    throws org.xml.sax.SAXException

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

Specified by:
  `endDocument` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`